Kubernetes | 05 Dezember 2023

Kubernetes cluster requirements for the connectware-agent Helm chart

Make sure that your Kubernetes cluster satisfies these requirements before installing the connectware-agent Helm chart.

  • Officially supported Kubernetes version 1.24 or 1.25 (No known incompatibilities with Kubernetes 1.20+)
  • StorageClass providing support for dynamically provisioned PersistentVolumes with AccessMode ReadWriteOnce
  • Namespace with a default ServiceAccount with permissions to launch privileged pods
  • Compute resource requirements for agents vary on the task that perform, but you can calculate roughly these resources times the number of agents you deploy (by default: one agent)
    • 2000m CPU
    • 2000Mi memory

Ihr Browser unterstützt diese Webseite nicht.

Liebe Besucher:innen, Sie versuchen unsere Website über den Internet Explorer zu besuchen. Der Support für diesen Browser wurde durch den Hersteller eingestellt, weshalb er moderne Webseiten nicht mehr richtig darstellen kann.
Um die Inhalte dieser Website korrekt anzeigen zu können, benötigen Sie einen modernen Browser.

Unter folgenden Links finden Sie Browser, für die unsere Webseite optimiert wurde:

Google Chrome Browser herunterladen Mozilla Firefox Browser herunterladen

Sie können diese Website trotzdem anzeigen lassen, müssen aber mit erheblichen Einschränkungen rechnen.

Diese Website trotzdem anzeigen.